# Uses of Enum
com.databricks.jdbc.model.client.thrift.generated.TProtocolVersion

Packages that use TProtocolVersion
Package
Description
com.databricks.jdbc.common
com.databricks.jdbc.common.util
com.databricks.jdbc.model.client.thrift.generated

## Uses of TProtocolVersion in com.databricks.jdbc.common

Fields in com.databricks.jdbc.common declared as TProtocolVersion
Modifier and Type
Field
Description
`static final TProtocolVersion`
EnvironmentVariables.`JDBC_THRIFT_VERSION`

## Uses of TProtocolVersion in com.databricks.jdbc.common.util

Methods in com.databricks.jdbc.common.util with parameters of type TProtocolVersion
Modifier and Type
Method
Description
`static boolean`
ProtocolFeatureUtil.`isNonDatabricksCompute(TProtocolVersion protocolVersion)`
Checks if the given protocol version indicates a non-Databricks compute.
`static boolean`
ProtocolFeatureUtil.`supportsAdvancedArrowTypes(TProtocolVersion protocolVersion)`
Checks if the given protocol version supports advanced Arrow types.
`static boolean`
ProtocolFeatureUtil.`supportsArrowMetadata(TProtocolVersion protocolVersion)`
Checks if the given protocol version supports Arrow metadata in result sets.
`static boolean`
ProtocolFeatureUtil.`supportsAsyncMetadataExecution(TProtocolVersion protocolVersion)`
Checks if the given protocol version supports async metadata execution.
`static boolean`
ProtocolFeatureUtil.`supportsAsyncMetadataOperations(TProtocolVersion protocolVersion)`
Checks if the given protocol version supports async metadata operations.
`static boolean`
ProtocolFeatureUtil.`supportsCloudFetch(TProtocolVersion protocolVersion)`
Checks if the given protocol version supports cloud result fetching.
`static boolean`
ProtocolFeatureUtil.`supportsCompressedArrowBatches(TProtocolVersion protocolVersion)`
Checks if the given protocol version supports compressed Arrow batches.
`static boolean`
ProtocolFeatureUtil.`supportsDirectResults(TProtocolVersion protocolVersion)`
Checks if the given protocol version supports direct results.
`static boolean`
ProtocolFeatureUtil.`supportsGetInfosInOpenSession(TProtocolVersion protocolVersion)`
Checks if the given protocol version supports getting additional information in OpenSession.
`static boolean`
ProtocolFeatureUtil.`supportsModifiedHasMoreRowsSemantics(TProtocolVersion protocolVersion)`
Checks if the given protocol version supports modified hasMoreRows semantics.
`static boolean`
ProtocolFeatureUtil.`supportsMultipleCatalogs(TProtocolVersion protocolVersion)`
Checks if the given protocol version supports multiple catalogs in metadata operations.
`static boolean`
ProtocolFeatureUtil.`supportsParameterizedQueries(TProtocolVersion protocolVersion)`
Checks if the given protocol version supports parameterized queries.
`static boolean`
ProtocolFeatureUtil.`supportsResultPersistenceMode(TProtocolVersion protocolVersion)`
Checks if the given protocol version supports result persistence mode.
`static boolean`
ProtocolFeatureUtil.`supportsResultSetMetadataFromFetch(TProtocolVersion protocolVersion)`
Checks if the given protocol version supports getting result set metadata from fetch results.

## Uses of TProtocolVersion in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TProtocolVersion in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`enum`
`TProtocolVersion`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TProtocolVersion
Modifier and Type
Field
Description
`TProtocolVersion`
TOpenSessionReq.`client_protocol`
`TProtocolVersion`
TStatementConf.`client_protocol`
`TProtocolVersion`
TOpenSessionResp.`serverProtocolVersion`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TProtocolVersion
Modifier and Type
Method
Description
`static TProtocolVersion`
TProtocolVersion.`findByValue(int value)`
Find a the enum type by its integer value, as defined in the Thrift IDL.
`TProtocolVersion`
TOpenSessionReq.`getClient_protocol()`
`TProtocolVersion`
TStatementConf.`getClient_protocol()`
`TProtocolVersion`
TOpenSessionResp.`getServerProtocolVersion()`
`static TProtocolVersion`
TProtocolVersion.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TProtocolVersion[]`
TProtocolVersion.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TProtocolVersion
Modifier and Type
Method
Description
`TOpenSessionReq`
TOpenSessionReq.`setClient_protocol(TProtocolVersion client_protocol)`
`TStatementConf`
TStatementConf.`setClient_protocol(TProtocolVersion client_protocol)`
`TOpenSessionResp`
TOpenSessionResp.`setServerProtocolVersion(TProtocolVersion serverProtocolVersion)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TProtocolVersion
Modifier
Constructor
Description
``
`TOpenSessionResp(TStatus status, TProtocolVersion serverProtocolVersion)`